using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioAgrupa
    {
        public IList<entidadeAgrupa> SelectOthersTables(entidadeAgrupa objAgrupa)
        {
            dalAgrupa dalAgrupa = null;

            var lstAgrupa = new List<entidadeAgrupa>();
            DataTable dt = null;

            try
            {
                dalAgrupa = new dalAgrupa();
                dt = dalAgrupa.SelectOthersTables(objAgrupa);

                foreach (DataRow dr in dt.Rows)
                {
                    objAgrupa = new entidadeAgrupa();

                    if (!Convert.IsDBNull(dr["CODIGO"]))
                        objAgrupa.CODIGO = Convert.ToInt32(dr["CODIGO"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objAgrupa.DESCRICAO = dr["DESCRICAO"].ToString();

                    lstAgrupa.Add(objAgrupa);
                }
                return lstAgrupa;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
